Name:           qof
Version:        0.7.0
Release:        1%{?dist}
Summary:        Query engine library for C objects

Group:          System Environment/Libraries
License:        GPL
URL:            http://qof.sf.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: libgda-devel
BuildRequires: intltool
BuildRequires: gettext
# qof doesn't ship with pre-built documentation
BuildRequires: doxygen

%description
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

QOF is an offshoot of the GnuCash engine, consisting of those pieces
unrelated to accounting.  The Query Engine allows C/C++ applications
to treat random collections of objects as if they were SQL tables,
and perform table-join type queries across them.  In addition, the
query engine can be backed by an actual database, so that instances
of local objects can act as a 'cache' to a much larger SQL database.

%package doc
Summary: API documentation for libqof
Group: Documentation
Requires: %{name} = %{version}-%{release}
Obsoletes: qof-docs <= 0.6.4-5
Provides: qof-docs
%description doc
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

This package contains API documentation for programming against libqof.
Install this package if you need information on writing a program that uses
libqof.

%package        devel
Summary:        Development tools for programs which will use the qof library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxml2-devel
Requires:       glib2-devel
Requires:       libgda-devel
Requires:       pkgconfig

%description    devel
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

This package contains the header files and  static libraries to develop
programs that will use the qof library.  You should
install this package if you need to develop programs which will use the qof
library functions.  You'll also need to install the qof package.

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/doc/qof/html .

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

# Some of the tests are still for the old date/time code.  These will fail
# until they've been updated.
#%check || :
#make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*
%{_datadir}/xml/qof/

%files devel
%defattr(-,root,root,0755)
%doc ChangeLog
%{_includedir}/qof
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root,-)
%doc html

%changelog
* Thu Aug 24 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.7.0-1
- Upgrade to upstream 0.7.0.

* Sun Jun 11 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-6
- Rename docs subpackage to doc.

* Sun May 28 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-5
- Use G_MAXINT32 for the test patch.
- BR: gettext.

* Fri May 12 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-4
- After talking with upstream it was decided that the supposed char problem
  was a problem with the test suite.  New patch fixes an overflow in the
  tests.

* Sun Apr 30 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-3
- Fix stupid in a hurry typo.

* Sun Apr 30 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-2
- Patch to fix a signed/unsigned char problem on ppc.

* Mon Apr 17 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-1
- Update to qof 0.6.4.
- Patch a small compile problem in building tests on x86_64.
  
* Mon Feb 13 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.1-2
- Bump and rebuild for FC5.

* Sat Jan 14 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.1-1
- Upgrade to 0.6.1.
- Drop patches integrated upstream.
- Remove static libs.
- Patch to add dependencies to the pkgconfig file and linked to the library.
- Patch to remove ltdl from the tests.  This is linked in but apparently isn't
  used.  Also fix the make targets to build tests separately from the library.
- Enable %%check as it works with the previous patch.
  
* Sun Oct 23 2005 Toshio Kuratomi <toshio-tiki-lunge.com> - 0.6.0-1
- Upgrade to 0.6.0.
- Drop patches integrated upstream.
- Small patches for x86_64 and gcc4.
- Patch to work around upstream thinko regarding how gmodule works.

* Wed Aug 17 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-6
- Add dist tag.
- Rebuild for devel (FC5).

* Wed Mar 23 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-5
- ltdl-devel package is libtool-ltdl-devel.

* Tue Mar 22 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-4
- BuildRequire ltdl-devel as libtool no longer pulls it in automatically.

* Sun Mar 21 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-3
- Rebuild for FC4t1.

* Tue Sep 28 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:0.5.0-0.fdr.2
- Added pkgconfig and glib2-devel to the -devel package's requirements.
  (suggestion from Michael Schwendt)

* Wed Jul 14 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:0.5.0-0.fdr.1
- Initial RPM release.
- All patches submitted upstream.
